SDL_Renderer Struct Reference

`#include <SDL_sysrender.h>`

Collaboration diagram for SDL_Renderer:
[legend]

## Data Fields

const void * | magic
void(* | WindowEvent )(SDL_Renderer *renderer, const SDL_WindowEvent *event)
int(* | GetOutputSize )(SDL_Renderer *renderer, int *w, int *h)
SDL_bool(* | SupportsBlendMode )(SDL_Renderer *renderer, SDL_BlendMode blendMode)
int(* | CreateTexture )(SDL_Renderer *renderer, SDL_Texture *texture)
int(* | SetTextureColorMod )(SDL_Renderer *renderer, SDL_Texture *texture)
int(* | SetTextureAlphaMod )(SDL_Renderer *renderer, SDL_Texture *texture)
int(* | SetTextureBlendMode )(SDL_Renderer *renderer, SDL_Texture *texture)
int(* | UpdateTexture )(SDL_Renderer *renderer, SDL_Texture *texture, const SDL_Rect *rect, const void *pixels, int pitch)
int(* | UpdateTextureYUV )(SDL_Renderer *renderer, SDL_Texture *texture, const SDL_Rect *rect, const Uint8 *Yplane, int Ypitch, const Uint8 *Uplane, int Upitch, const Uint8 *Vplane, int Vpitch)
int(* | LockTexture )(SDL_Renderer *renderer, SDL_Texture *texture, const SDL_Rect *rect, void **pixels, int *pitch)
void(* | UnlockTexture )(SDL_Renderer *renderer, SDL_Texture *texture)
int(* | SetRenderTarget )(SDL_Renderer *renderer, SDL_Texture *texture)
int(* | UpdateViewport )(SDL_Renderer *renderer)
int(* | UpdateClipRect )(SDL_Renderer *renderer)
int(* | RenderClear )(SDL_Renderer *renderer)
int(* | RenderDrawPoints )(SDL_Renderer *renderer, const SDL_FPoint *points, int count)
int(* | RenderDrawLines )(SDL_Renderer *renderer, const SDL_FPoint *points, int count)
int(* | RenderFillRects )(SDL_Renderer *renderer, const SDL_FRect *rects, int count)
int(* | RenderCopy )(SDL_Renderer *renderer, SDL_Texture *texture, const SDL_Rect *srcrect, const SDL_FRect *dstrect)
int(* | RenderCopyEx )(SDL_Renderer *renderer, SDL_Texture *texture, const SDL_Rect *srcquad, const SDL_FRect *dstrect, const double angle, const SDL_FPoint *center, const SDL_RendererFlip flip)
int(* | RenderReadPixels )(SDL_Renderer *renderer, const SDL_Rect *rect, Uint32 format, void *pixels, int pitch)
void(* | RenderPresent )(SDL_Renderer *renderer)
void(* | DestroyTexture )(SDL_Renderer *renderer, SDL_Texture *texture)
void(* | DestroyRenderer )(SDL_Renderer *renderer)
int(* | GL_BindTexture )(SDL_Renderer *renderer, SDL_Texture *texture, float *texw, float *texh)
int(* | GL_UnbindTexture )(SDL_Renderer *renderer, SDL_Texture *texture)
void *(* | GetMetalLayer )(SDL_Renderer *renderer)
void *(* | GetMetalCommandEncoder )(SDL_Renderer *renderer)
SDL_RendererInfo | info
SDL_Window * | window
SDL_bool | hidden
int | logical_w
int | logical_h
int | logical_w_backup
int | logical_h_backup
SDL_bool | integer_scale
SDL_Rect | viewport
SDL_Rect | viewport_backup
SDL_Rect | clip_rect
SDL_Rect | clip_rect_backup
SDL_bool | clipping_enabled
SDL_bool | clipping_enabled_backup
SDL_FPoint | scale
SDL_FPoint | scale_backup
SDL_FPoint | dpi_scale
SDL_Texture * | textures
SDL_Texture * | target
Uint8 | r
Uint8 | g
Uint8 | b
Uint8 | a
SDL_BlendMode | blendMode
void * | driverdata

## Detailed Description

Definition at line 76 of file SDL_sysrender.h.

## Field Documentation

## a

Uint8 SDL_Renderer::a

Color for drawing operations values

Definition at line 168 of file SDL_sysrender.h.

Referenced by SDL_GetRenderDrawColor(), SDL_SetRenderDrawColor(), SW_RenderClear(), SW_RenderDrawLines(), SW_RenderDrawPoints(), and SW_RenderFillRects().

## b

Uint8 SDL_Renderer::b

Definition at line 168 of file SDL_sysrender.h.

Referenced by SDL_GetRenderDrawColor(), SDL_SetRenderDrawColor(), SW_RenderClear(), SW_RenderDrawLines(), SW_RenderDrawPoints(), and SW_RenderFillRects().

## blendMode

SDL_BlendMode SDL_Renderer::blendMode

The drawing blend mode

Definition at line 169 of file SDL_sysrender.h.

Referenced by SDL_GetRenderDrawBlendMode(), SDL_SetRenderDrawBlendMode(), SW_RenderDrawLines(), SW_RenderDrawPoints(), and SW_RenderFillRects().

## clip_rect

SDL_Rect SDL_Renderer::clip_rect

Definition at line 150 of file SDL_sysrender.h.

Referenced by SDL_RenderGetClipRect(), SDL_RenderSetClipRect(), SDL_SetRenderTarget(), and SW_UpdateClipRect().

## clip_rect_backup

SDL_Rect SDL_Renderer::clip_rect_backup

Definition at line 151 of file SDL_sysrender.h.

Referenced by SDL_SetRenderTarget().

## clipping_enabled

SDL_bool SDL_Renderer::clipping_enabled

Definition at line 154 of file SDL_sysrender.h.

Referenced by SDL_RenderIsClipEnabled(), SDL_RenderSetClipRect(), SDL_SetRenderTarget(), and SW_UpdateClipRect().

## clipping_enabled_backup

SDL_bool SDL_Renderer::clipping_enabled_backup

Definition at line 155 of file SDL_sysrender.h.

Referenced by SDL_SetRenderTarget().

## CreateTexture

int(* SDL_Renderer::CreateTexture) (SDL_Renderer *renderer, SDL_Texture *texture)

Definition at line 83 of file SDL_sysrender.h.

Referenced by SDL_CreateTexture(), and SW_CreateRendererForSurface().

## DestroyRenderer

void(* SDL_Renderer::DestroyRenderer) (SDL_Renderer *renderer)

Definition at line 121 of file SDL_sysrender.h.

Referenced by SDL_DestroyRenderer(), and SW_CreateRendererForSurface().

## DestroyTexture

void(* SDL_Renderer::DestroyTexture) (SDL_Renderer *renderer, SDL_Texture *texture)

Definition at line 119 of file SDL_sysrender.h.

Referenced by SDL_DestroyTexture(), and SW_CreateRendererForSurface().

## dpi_scale

SDL_FPoint SDL_Renderer::dpi_scale

Definition at line 162 of file SDL_sysrender.h.

Referenced by SDL_CreateRenderer(), and SDL_RendererEventWatch().

## driverdata

void* SDL_Renderer::driverdata

Definition at line 171 of file SDL_sysrender.h.

Referenced by SW_ActivateRenderer(), SW_CreateRendererForSurface(), SW_DestroyRenderer(), SW_SetRenderTarget(), SW_UpdateClipRect(), SW_UpdateViewport(), and SW_WindowEvent().

## g

Uint8 SDL_Renderer::g

Definition at line 168 of file SDL_sysrender.h.

Referenced by SDL_GetRenderDrawColor(), SDL_SetRenderDrawColor(), SW_RenderClear(), SW_RenderDrawLines(), SW_RenderDrawPoints(), and SW_RenderFillRects().

## GetMetalCommandEncoder

void*(* SDL_Renderer::GetMetalCommandEncoder) (SDL_Renderer *renderer)

Definition at line 127 of file SDL_sysrender.h.

Referenced by SDL_RenderGetMetalCommandEncoder().

## GetMetalLayer

void*(* SDL_Renderer::GetMetalLayer) (SDL_Renderer *renderer)

Definition at line 126 of file SDL_sysrender.h.

Referenced by SDL_RenderGetMetalLayer().

## GetOutputSize

int(* SDL_Renderer::GetOutputSize) (SDL_Renderer *renderer, int *w, int *h)

Definition at line 81 of file SDL_sysrender.h.

Referenced by SDL_CreateRenderer(), SDL_GetRendererOutputSize(), SDL_RendererEventWatch(), and SW_CreateRendererForSurface().

## GL_BindTexture

int(* SDL_Renderer::GL_BindTexture) (SDL_Renderer *renderer, SDL_Texture *texture, float *texw, float *texh)

Definition at line 123 of file SDL_sysrender.h.

Referenced by SDL_GL_BindTexture().

## GL_UnbindTexture

int(* SDL_Renderer::GL_UnbindTexture) (SDL_Renderer *renderer, SDL_Texture *texture)

Definition at line 124 of file SDL_sysrender.h.

Referenced by SDL_GL_UnbindTexture().

## hidden

SDL_bool SDL_Renderer::hidden

Definition at line 134 of file SDL_sysrender.h.

Referenced by SDL_CreateRenderer(), SDL_RenderClear(), SDL_RenderCopy(), SDL_RenderCopyEx(), SDL_RenderDrawLines(), SDL_RenderDrawPoints(), SDL_RenderDrawRects(), SDL_RendererEventWatch(), SDL_RenderFillRects(), and SDL_RenderPresent().

## info

SDL_RendererInfo SDL_Renderer::info

Definition at line 130 of file SDL_sysrender.h.

Referenced by GetClosestSupportedFormat(), IsSDLWindowEventPending(), IsSupportedFormat(), SDL_CreateRenderer(), SDL_CreateTexture(), SDL_CreateTextureFromSurface(), SDL_GetRendererInfo(), SDL_RenderTargetSupported(), and SW_CreateRendererForSurface().

## integer_scale

SDL_bool SDL_Renderer::integer_scale

Definition at line 143 of file SDL_sysrender.h.

Referenced by SDL_RenderGetIntegerScale(), SDL_RenderSetIntegerScale(), and UpdateLogicalSize().

## LockTexture

int(* SDL_Renderer::LockTexture) (SDL_Renderer *renderer, SDL_Texture *texture, const SDL_Rect *rect, void **pixels, int *pitch)

Definition at line 98 of file SDL_sysrender.h.

Referenced by SDL_LockTexture(), and SW_CreateRendererForSurface().

## logical_h

int SDL_Renderer::logical_h

Definition at line 138 of file SDL_sysrender.h.

Referenced by SDL_RendererEventWatch(), SDL_RenderGetLogicalSize(), SDL_RenderSetLogicalSize(), SDL_SetRenderTarget(), and UpdateLogicalSize().

## logical_h_backup

int SDL_Renderer::logical_h_backup

Definition at line 140 of file SDL_sysrender.h.

Referenced by SDL_SetRenderTarget().

## logical_w

int SDL_Renderer::logical_w

Definition at line 137 of file SDL_sysrender.h.

Referenced by SDL_RendererEventWatch(), SDL_RenderGetLogicalSize(), SDL_RenderSetLogicalSize(), SDL_SetRenderTarget(), and UpdateLogicalSize().

## logical_w_backup

int SDL_Renderer::logical_w_backup

Definition at line 139 of file SDL_sysrender.h.

Referenced by SDL_SetRenderTarget().

## magic

const void* SDL_Renderer::magic

Definition at line 78 of file SDL_sysrender.h.

Referenced by SDL_CreateRenderer(), SDL_CreateSoftwareRenderer(), and SDL_DestroyRenderer().

## r

Uint8 SDL_Renderer::r

Definition at line 168 of file SDL_sysrender.h.

Referenced by SDL_GetRenderDrawColor(), SDL_SetRenderDrawColor(), SW_RenderClear(), SW_RenderDrawLines(), SW_RenderDrawPoints(), and SW_RenderFillRects().

## RenderClear

int(* SDL_Renderer::RenderClear) (SDL_Renderer *renderer)

Definition at line 104 of file SDL_sysrender.h.

Referenced by SDL_RenderClear(), and SW_CreateRendererForSurface().

## RenderCopy

int(* SDL_Renderer::RenderCopy) (SDL_Renderer *renderer, SDL_Texture *texture, const SDL_Rect *srcrect, const SDL_FRect *dstrect)

Definition at line 111 of file SDL_sysrender.h.

Referenced by SDL_RenderCopy(), and SW_CreateRendererForSurface().

## RenderCopyEx

int(* SDL_Renderer::RenderCopyEx) (SDL_Renderer *renderer, SDL_Texture *texture, const SDL_Rect *srcquad, const SDL_FRect *dstrect, const double angle, const SDL_FPoint *center, const SDL_RendererFlip flip)

Definition at line 113 of file SDL_sysrender.h.

Referenced by SDL_RenderCopyEx(), and SW_CreateRendererForSurface().

## RenderDrawLines

int(* SDL_Renderer::RenderDrawLines) (SDL_Renderer *renderer, const SDL_FPoint *points, int count)

Definition at line 107 of file SDL_sysrender.h.

Referenced by RenderDrawLinesWithRects(), SDL_RenderDrawLines(), and SW_CreateRendererForSurface().

## RenderDrawPoints

int(* SDL_Renderer::RenderDrawPoints) (SDL_Renderer *renderer, const SDL_FPoint *points, int count)

Definition at line 105 of file SDL_sysrender.h.

Referenced by SDL_RenderDrawPoints(), and SW_CreateRendererForSurface().

## RenderFillRects

int(* SDL_Renderer::RenderFillRects) (SDL_Renderer *renderer, const SDL_FRect *rects, int count)

Definition at line 109 of file SDL_sysrender.h.

Referenced by RenderDrawLinesWithRects(), RenderDrawPointsWithRects(), SDL_RenderFillRects(), and SW_CreateRendererForSurface().

## RenderPresent

void(* SDL_Renderer::RenderPresent) (SDL_Renderer *renderer)

Definition at line 118 of file SDL_sysrender.h.

Referenced by SDL_RenderPresent(), and SW_CreateRendererForSurface().

## RenderReadPixels

int(* SDL_Renderer::RenderReadPixels) (SDL_Renderer *renderer, const SDL_Rect *rect, Uint32 format, void *pixels, int pitch)

Definition at line 116 of file SDL_sysrender.h.

Referenced by SDL_RenderReadPixels(), and SW_CreateRendererForSurface().

## scale

SDL_FPoint SDL_Renderer::scale

Definition at line 158 of file SDL_sysrender.h.

Referenced by RenderDrawLinesWithRects(), RenderDrawPointsWithRects(), SDL_CreateRenderer(), SDL_CreateSoftwareRenderer(), SDL_RenderCopy(), SDL_RenderCopyEx(), SDL_RenderDrawLines(), SDL_RenderDrawPoints(), SDL_RendererEventWatch(), SDL_RenderFillRects(), SDL_RenderGetClipRect(), SDL_RenderGetScale(), SDL_RenderGetViewport(), SDL_RenderSetClipRect(), SDL_RenderSetScale(), SDL_RenderSetViewport(), and SDL_SetRenderTarget().

## scale_backup

SDL_FPoint SDL_Renderer::scale_backup

Definition at line 159 of file SDL_sysrender.h.

Referenced by SDL_SetRenderTarget().

## SetRenderTarget

int(* SDL_Renderer::SetRenderTarget) (SDL_Renderer *renderer, SDL_Texture *texture)

Definition at line 101 of file SDL_sysrender.h.

Referenced by SDL_RenderTargetSupported(), SDL_SetRenderTarget(), and SW_CreateRendererForSurface().

## SetTextureAlphaMod

int(* SDL_Renderer::SetTextureAlphaMod) (SDL_Renderer *renderer, SDL_Texture *texture)

Definition at line 86 of file SDL_sysrender.h.

Referenced by SDL_SetTextureAlphaMod(), and SW_CreateRendererForSurface().

## SetTextureBlendMode

int(* SDL_Renderer::SetTextureBlendMode) (SDL_Renderer *renderer, SDL_Texture *texture)

Definition at line 88 of file SDL_sysrender.h.

Referenced by SDL_SetTextureBlendMode(), and SW_CreateRendererForSurface().

## SetTextureColorMod

int(* SDL_Renderer::SetTextureColorMod) (SDL_Renderer *renderer, SDL_Texture *texture)

Definition at line 84 of file SDL_sysrender.h.

Referenced by SDL_SetTextureColorMod(), and SW_CreateRendererForSurface().

## SupportsBlendMode

SDL_bool(* SDL_Renderer::SupportsBlendMode) (SDL_Renderer *renderer, SDL_BlendMode blendMode)

Definition at line 82 of file SDL_sysrender.h.

Referenced by IsSupportedBlendMode().

## target

SDL_Texture* SDL_Renderer::target

Definition at line 166 of file SDL_sysrender.h.

Referenced by SDL_DestroyTexture(), SDL_GetRendererOutputSize(), SDL_GetRenderTarget(), SDL_RendererEventWatch(), and SDL_SetRenderTarget().

## textures

SDL_Texture* SDL_Renderer::textures

Definition at line 165 of file SDL_sysrender.h.

Referenced by SDL_CreateTexture(), SDL_DestroyRenderer(), and SDL_DestroyTexture().

## UnlockTexture

void(* SDL_Renderer::UnlockTexture) (SDL_Renderer *renderer, SDL_Texture *texture)

Definition at line 100 of file SDL_sysrender.h.

Referenced by SDL_UnlockTexture(), and SW_CreateRendererForSurface().

## UpdateClipRect

int(* SDL_Renderer::UpdateClipRect) (SDL_Renderer *renderer)

Definition at line 103 of file SDL_sysrender.h.

Referenced by SDL_RenderSetClipRect(), SDL_SetRenderTarget(), and SW_CreateRendererForSurface().

## UpdateTexture

int(* SDL_Renderer::UpdateTexture) (SDL_Renderer *renderer, SDL_Texture *texture, const SDL_Rect *rect, const void *pixels, int pitch)

Definition at line 90 of file SDL_sysrender.h.

Referenced by SDL_UpdateTexture(), and SW_CreateRendererForSurface().

## UpdateTextureYUV

int(* SDL_Renderer::UpdateTextureYUV) (SDL_Renderer *renderer, SDL_Texture *texture, const SDL_Rect *rect, const Uint8 *Yplane, int Ypitch, const Uint8 *Uplane, int Upitch, const Uint8 *Vplane, int Vpitch)

Definition at line 93 of file SDL_sysrender.h.

Referenced by SDL_UpdateYUVTexture().

## UpdateViewport

int(* SDL_Renderer::UpdateViewport) (SDL_Renderer *renderer)

Definition at line 102 of file SDL_sysrender.h.

Referenced by SDL_RendererEventWatch(), SDL_RenderSetViewport(), SDL_SetRenderTarget(), and SW_CreateRendererForSurface().

## viewport

SDL_Rect SDL_Renderer::viewport

Definition at line 146 of file SDL_sysrender.h.

Referenced by SDL_RendererEventWatch(), SDL_RenderGetViewport(), SDL_RenderReadPixels(), SDL_RenderSetViewport(), SDL_SetRenderTarget(), SW_RenderCopy(), SW_RenderCopyEx(), SW_RenderDrawLines(), SW_RenderDrawPoints(), SW_RenderFillRects(), SW_UpdateClipRect(), and SW_UpdateViewport().

## viewport_backup

SDL_Rect SDL_Renderer::viewport_backup

Definition at line 147 of file SDL_sysrender.h.

Referenced by SDL_RendererEventWatch(), and SDL_SetRenderTarget().

## window

SDL_Window* SDL_Renderer::window

Definition at line 133 of file SDL_sysrender.h.

Referenced by SDL_CreateRenderer(), SDL_DestroyRenderer(), SDL_GetRendererOutputSize(), SDL_RendererEventWatch(), SDL_RenderReadPixels(), SW_ActivateRenderer(), and SW_RenderPresent().

## WindowEvent

void(* SDL_Renderer::WindowEvent) (SDL_Renderer *renderer, const SDL_WindowEvent *event)

Definition at line 80 of file SDL_sysrender.h.

Referenced by SDL_RendererEventWatch(), and SW_CreateRendererForSurface().

The documentation for this struct was generated from the following file:

- src/render/SDL_sysrender.h